from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDecryptionResultListener(XInterface, Protocol):
    def decrypted(self, securityId: int, decryptionResult: SecurityOperationStatus) -> None: ...
